Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface QueryExpressionType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryExpressionTypeImpl

    public interface QueryExpressionType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Query Expression Type'.

The following features are supported:

- `Mixed`
- `Any`
- `Query Language`

See Also:
  `RimPackage.getQueryExpressionType()`

Method Summary
`org.eclipse.emf.ecore.util.FeatureMap` | `getAny()` Returns the value of the 'Any' attribute list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`java.lang.String` | `getQueryLanguage()` Returns the value of the 'Query Language' attribute.
`void` | `setQueryLanguage(java.lang.String value)` Sets the value of the '`Query Language`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RimPackage.getQueryExpressionType_Mixed()`

### getAny

    org.eclipse.emf.ecore.util.FeatureMap getAny()

  Returns the value of the 'Any' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Any' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Any' attribute list.
  See Also:
    `RimPackage.getQueryExpressionType_Any()`

### getQueryLanguage

    java.lang.String getQueryLanguage()

  Returns the value of the 'Query Language' attribute.

  If the meaning of the 'Query Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Language' attribute.
  See Also:
    `setQueryLanguage(String)`, `RimPackage.getQueryExpressionType_QueryLanguage()`

### setQueryLanguage

    void setQueryLanguage(java.lang.String value)

  Sets the value of the '`Query Language`' attribute.

  Parameters:
    `value` - the new value of the 'Query Language' attribute.
  See Also:
    `getQueryLanguage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD